%global debug_package %{nil}

Name: gosu
Epoch: 100
Version: 1.14
Release: 1%{?dist}
Summary: Simple Go-based setuid+setgid+setgroups+exec
License: Apache-2.0
URL: https://github.com/tianon/gosu/releases
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: golang-1.17
BuildRequires: glibc-static

%description
This is a simple tool grown out of the simple fact that su and sudo have
very strange and often annoying TTY and signal-forwarding behavior.
They're also somewhat complex to setup and use (especially in the case
of sudo), which allows for a great deal of expressivity, but falls flat
if all you need is "run this specific application as this specific user
and get out of the pipeline".

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
mkdir -p sbin
set -ex && \
    export CGO_ENABLED=0 && \
    go build \
        -mod vendor -buildmode pie -v \
        -ldflags "-s -w -extldflags '-static -lm'" \
        -o ./sbin/gosu .

%install
install -Dpm755 -d %{buildroot}%{_sbindir}
install -Dpm755 -t %{buildroot}%{_sbindir}/ sbin/gosu

%files
%license LICENSE
%{_sbindir}/gosu

%changelog
